Will MicroTonic and permut8 run with OSX 10.7.5?

Mark McCarthy110 views4 posts
  • Mark McCarthy

    Hello I want to but MicroTonic and permut 8 and I have a Mac OS X 10.7.5, the demos are working fine, does that mean if I buy them they will work? Thank you.

  • Fredrik Lidström

    Yes, the demo is the exact same plugin as the full version, if the demo works, it works.

  • Magnus Lidström

    We say 10.8 required on all our web-pages cause that is the oldest version we can test with and debug on. If some unforeseen problem with 10.7 pops up we can't guarantee that we can fix it, but we always strive to make everything work flawlessly for everyone.

  • Mark McCarthy

    Thank you for getting back so quick I will buy them now

You need to be to post a reply

Sign In / Sign Up


First time here? Just enter your current email and sign up.
×